"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JWT = "@@redux-saga-jwt";
exports.SET = exports.JWT + "/SET";
exports.REMOVE = exports.JWT + "/REMOVE";
exports.EXPIRED = exports.JWT + "/EXPIRED";
exports.createActionCreators = function (id) { return ({
    set: function (token) { return ({ type: exports.SET, payload: { id: id, token: token } }); },
    remove: function () { return ({ type: exports.REMOVE, payload: { id: id } }); },
    expired: function () { return ({ type: exports.EXPIRED, payload: { id: id } }); },
}); };
