"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var actions_1 = require("./actions");
exports.createReducer = function (configs) {
    var initialState = configs.getTokens();
    return function (state, action) {
        if (state === void 0) { state = initialState; }
        var _a;
        var type = action.type, payload = action.payload;
        if (type === actions_1.SET) {
            return __assign({}, state, (_a = {}, _a[payload.id] = payload.token, _a));
        }
        else if (type === actions_1.REMOVE) {
            var _b = payload.id, value = state[_b], newState = __rest(state, [typeof _b === "symbol" ? _b : _b + ""]);
            return newState;
        }
        return state;
    };
};
