"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfigs = {
    getTokens: function () {
        var token = localStorage.getItem("jwt");
        if (token) {
            try {
                return JSON.parse(token);
            }
            catch (e) { }
        }
        return {};
    },
    setTokens: function (tokens) { return localStorage.setItem("jwt", JSON.stringify(tokens)); },
    stateSelector: function (state) { return state.jwt; },
};
exports.default = exports.defaultConfigs;
