import { IJWTConfig, ITokenObject, IJWTState } from "./interface";
export { createActionCreators, SET, REMOVE, EXPIRED } from "./actions";
export { isTokenExpired } from "./utils";
export declare const createJWT: <S>(configs?: Partial<IJWTConfig<S>>) => {
    reducer: (state: IJWTState, action: any) => IJWTState;
    saga: () => IterableIterator<import("@redux-saga/types").CombinatorEffect<"ALL", import("@redux-saga/types").SimpleEffect<"FORK", import("@redux-saga/core/effects").ForkEffectDescriptor> | IterableIterator<import("@redux-saga/types").SimpleEffect<"SELECT", import("@redux-saga/core/effects").SelectEffectDescriptor> | import("@redux-saga/types").CombinatorEffect<"ALL", import("@redux-saga/types").SimpleEffect<"PUT", import("@redux-saga/core/effects").PutEffectDescriptor<{
        type: string;
        payload: {
            id: string;
        };
    }>>>>>>;
    createSelectors: (id: string) => {
        getToken: (state: S) => ITokenObject;
        isTokenExpired: (state: S) => boolean;
    };
};
export declare type IJWTConfig<S> = IJWTConfig<S>;
export declare type ITokenObject = ITokenObject;
export declare type IJWTState = IJWTState;
export default createJWT;
