import { IJWTConfig } from "./interface";
export declare function timer(id: string, ms: number): IterableIterator<import("@redux-saga/types").CombinatorEffect<"RACE", import("@redux-saga/types").SimpleEffect<"CALL", import("@redux-saga/core/effects").CallEffectDescriptor>> | import("@redux-saga/types").SimpleEffect<"PUT", import("@redux-saga/core/effects").PutEffectDescriptor<{
    type: string;
    payload: {
        id: string;
    };
}>>>;
export declare function takeRemove(id: string): IterableIterator<true | import("@redux-saga/types").SimpleEffect<"TAKE", import("@redux-saga/core/effects").TakeEffectDescriptor>>;
export declare const syncToken: (configs: IJWTConfig<any>) => () => IterableIterator<import("@redux-saga/types").SimpleEffect<"SELECT", import("@redux-saga/core/effects").SelectEffectDescriptor>>;
export declare const setTokenHandler: (configs: IJWTConfig<any>) => (action: any) => IterableIterator<import("@redux-saga/types").CombinatorEffect<"ALL", IterableIterator<import("@redux-saga/types").SimpleEffect<"SELECT", import("@redux-saga/core/effects").SelectEffectDescriptor>> | import("@redux-saga/types").SimpleEffect<"FORK", import("@redux-saga/core/effects").ForkEffectDescriptor>>>;
export declare const checkExpiredWhenInitialize: (configs: IJWTConfig<any>) => () => IterableIterator<import("@redux-saga/types").SimpleEffect<"SELECT", import("@redux-saga/core/effects").SelectEffectDescriptor> | import("@redux-saga/types").CombinatorEffect<"ALL", import("@redux-saga/types").SimpleEffect<"PUT", import("@redux-saga/core/effects").PutEffectDescriptor<{
    type: string;
    payload: {
        id: string;
    };
}>>>>;
export declare const createRootSaga: (configs: IJWTConfig<any>) => () => IterableIterator<import("@redux-saga/types").CombinatorEffect<"ALL", import("@redux-saga/types").SimpleEffect<"FORK", import("@redux-saga/core/effects").ForkEffectDescriptor> | IterableIterator<import("@redux-saga/types").SimpleEffect<"SELECT", import("@redux-saga/core/effects").SelectEffectDescriptor> | import("@redux-saga/types").CombinatorEffect<"ALL", import("@redux-saga/types").SimpleEffect<"PUT", import("@redux-saga/core/effects").PutEffectDescriptor<{
    type: string;
    payload: {
        id: string;
    };
}>>>>>>;
export default createRootSaga;
