"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
exports.createSelectors = function (configs) { return function (id) { return ({
    getToken: function (state) { return (configs.stateSelector(state) || {})[id]; },
    isTokenExpired: function (state) {
        var token = (configs.stateSelector(state) || {})[id];
        if (!token) {
            return true;
        }
        return utils_1.isTokenExpired(token);
    },
}); }; };
exports.default = exports.createSelectors;
