"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isTokenExpired(token) {
    var currentTimestamp = new Date().getTime();
    var createdAt = token.createdAt, expiresIn = token.expiresIn;
    return currentTimestamp >= createdAt + expiresIn;
}
exports.isTokenExpired = isTokenExpired;
